package com.secspace.lib.common.env;

import android.content.Context;

import com.secspace.lib.common.base.BaseApplication;

public class SEnvironment {
    private static final String MDMENHANCE_FILE_NAME = "Mdm_Enhance.apk";
    private static final String MIDDLEWARE_FILE_NAME = "Mdm_Service.apk";
    private static final String SYSTEM_AGENT_FILE_NAME = "Mdm_Agent.apk";
    private static final String SMS_AGENT_FILE_NAME = "Sms_Agent.apk";

    private static final String ASSETS_SYSTEM_DIR = "system";
    private static final String ASSETS_CLONE_DIR = "clone";
    private static final String ASSETS_OUTER_DIR = "outer";

    private static final String BASE_DATA_DIR_PATH = "/data/data";
    private static final String BASE_VA_DATA_DIR_PATH = "/virtual/data/user/0";//apk数据所在目录

    private static Context getContext() {
        return BaseApplication.getBase();
    }

    public static String getMiddleWareNameForAssets() {
        return MIDDLEWARE_FILE_NAME;
    }

    public static String getMdmEnhanceNameForAssets() {
        return MDMENHANCE_FILE_NAME;
    }

    public static String getSystemAgentNameForAssets() {
        return SYSTEM_AGENT_FILE_NAME;
    }

    public static String getSmsAgentNameForAssets() {
        return SMS_AGENT_FILE_NAME;
    }

    public static String getSystemDirForAssets() {
        return ASSETS_SYSTEM_DIR;
    }

    public static String getCloneDirForAssets() {
        return ASSETS_CLONE_DIR;
    }

    public static String getOuterDirForAssets() {
        return ASSETS_OUTER_DIR;
    }

    public static String getBaseDataDirPath() {
        return BASE_DATA_DIR_PATH;
    }

    public static String getBaseVADataDirPath() {
        return BASE_VA_DATA_DIR_PATH;
    }

}
